#!/usr/bin/env python
# coding=UTF-8
# 
# Copyright (C) 2010 Stefanos Harhalakis
#
# This file is part of wifieye.
#
# wifieye is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# wifieye is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with wifieye.  If not, see <http://www.gnu.org/licenses/>.
#
# $Id: channels.py 2265 2010-02-21 19:16:26Z v13 $

__version__ = "$Id: channels.py 2265 2010-02-21 19:16:26Z v13 $"

# All channels:
# Europe: First 11
# USA: First 13
# Japan: All 14
channels=[
    2412, 2417, 2422, 2427, 2432, 2437, 2442, 2447,
    2452, 2457, 2462, 2467, 2472,
    2484    # Japan only?
    ]

channel_width=22

def freqToChan(freq):
    try:
	ret=channels.index(freq)+1
    except:
	ret=None

    return(ret)

def chanToFreq(chan):
    ret=channels[chan]

    return(ret)

# Return the spectrum width from the first to the last channel
def frequencyWidth():
    ret=channels[len(channels)-1] - channels[0]
    
    return(ret)

def channelWidth():
    return(channel_width)

# vim: set ts=8 sts=4 sw=4 noet formatoptions=r ai nocindent:

